Bug 1883005 - freeipa-selinux drags in server components on client
Summary: freeipa-selinux drags in server components on client
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: freeipa
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: IPA Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-27 12:34 UTC by Tomasz Torcz
Modified: 2020-11-19 19:26 UTC (History)
12 users (show)

Fixed In Version: freeipa-4.8.10-3.fc34 freeipa-4.8.10-5.fc32 freeipa-4.8.10-5.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-19 19:26:52 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomasz Torcz 2020-09-27 12:34:11 UTC
Description of problem:
======================================================================================================================================================================
 Package                                              Architecture                Version                                  Repository                            Size
======================================================================================================================================================================
Upgrading:
 freeipa-selinux                                      noarch                      4.8.10-2.fc33                            updates-testing                       29 k
Installing dependencies:
 389-ds-base                                          x86_64                      1.4.4.4-1.fc33.2                         updates-testing                      1.8 M
 389-ds-base-libs                                     x86_64                      1.4.4.4-1.fc33.2                         updates-testing                      895 k
 apache-commons-collections                           noarch                      3.2.2-20.fc33                            fedora                               527 k
 apache-commons-daemon                                x86_64                      1.2.2-5.fc33                             fedora                                54 k
 apache-commons-io                                    noarch                      1:2.6-10.fc33                            fedora                               216 k
 apache-commons-net                                   noarch                      3.6-10.fc33                              fedora                               290 k
 ecj                                                  noarch                      1:4.16-4.fc33                            fedora                               2.7 M
 fedora-logos-httpd                                   noarch                      30.0.2-5.fc33                            fedora                                15 k
 freeipa-healthcheck-core                             noarch                      0.6-4.fc33                               fedora                                50 k
 freeipa-server                                       x86_64                      4.8.10-2.fc33                            updates-testing                      358 k
 freeipa-server-common                                noarch                      4.8.10-2.fc33                            updates-testing                      536 k
 httpcomponents-client                                noarch                      4.5.10-4.fc33                            fedora                               707 k
 httpcomponents-core                                  noarch                      4.4.12-4.fc33                            fedora                               629 k
 httpd                                                x86_64                      2.4.46-1.fc33                            fedora                               1.4 M
 httpd-filesystem                                     noarch                      2.4.46-1.fc33                            fedora                                14 k
 httpd-tools                                          x86_64                      2.4.46-1.fc33                            fedora                                83 k
 jackson-jaxrs-json-provider                          noarch                      2.11.2-1.fc33                            fedora                                22 k
 jackson-jaxrs-providers                              noarch                      2.11.2-1.fc33                            fedora                                46 k
 jackson-module-jaxb-annotations                      noarch                      2.11.2-1.fc33                            fedora                                46 k
 jakarta-commons-httpclient                           noarch                      1:3.1-36.fc33                            fedora                               237 k
 jaxb-api                                             noarch                      2.3.3-2.fc33                             fedora                               108 k
 jaxb-impl                                            noarch                      2.3.3-4.fc33                             fedora                               947 k
 jboss-annotations-1.2-api                            noarch                      1.0.2-4.fc33                             fedora                                39 k
 jboss-jaxrs-2.0-api                                  noarch                      1.0.0-13.fc33                            fedora                               112 k
 jboss-logging                                        noarch                      3.4.1-4.fc33                             fedora                                67 k
 jboss-logging-tools                                  noarch                      2.2.1-3.fc33                             fedora                               220 k
 jdeparser                                            noarch                      2.0.3-5.fc33                             fedora                               217 k
 jss                                                  x86_64                      4.7.3-1.fc33                             updates-testing                      1.2 M
 krb5-pkinit                                          x86_64                      1.18.2-22.fc33                           updates-testing                       67 k
 krb5-server                                          x86_64                      1.18.2-22.fc33                           updates-testing                      304 k
 ldapjdk                                              noarch                      4.22.0-3.fc33                            fedora                               336 k
 mod_auth_gssapi                                      x86_64                      1.6.3-1.fc33                             fedora                                74 k
 mod_http2                                            x86_64                      1.15.7-2.fc33                            fedora                               151 k
 mod_lookup_identity                                  x86_64                      1.0.0-12.fc33                            fedora                                27 k
 mod_session                                          x86_64                      2.4.46-1.fc33                            fedora                                48 k
 mod_ssl                                              x86_64                      1:2.4.46-1.fc33                          fedora                               114 k
 open-sans-fonts                                      noarch                      1.10-13.fc33                             fedora                               476 k
 openssl-perl                                         x86_64                      1:1.1.1g-15.fc33                         fedora                                30 k
 pki-base                                             noarch                      10.9.4-3.fc33                            updates-testing                      262 k
 pki-base-java                                        noarch                      10.9.4-3.fc33                            updates-testing                      687 k
 pki-ca                                               noarch                      10.9.4-3.fc33                            updates-testing                      550 k
 pki-kra                                              noarch                      10.9.4-3.fc33                            updates-testing                      192 k
 pki-server                                           noarch                      10.9.4-3.fc33                            updates-testing                      3.4 M
 pki-symkey                                           x86_64                      10.9.4-3.fc33                            updates-testing                       51 k
 pki-tools                                            x86_64                      10.9.4-3.fc33                            updates-testing                      725 k
 python3-argparse-manpage                             noarch                      1.4-4.fc33                               fedora                                29 k
 python3-attrs                                        noarch                      19.3.0-5.fc33                            fedora                                66 k
 python3-custodia                                     noarch                      0.6.0-13.fc33                            fedora                               115 k
 python3-iniconfig                                    noarch                      1.0.0-2.fc33                             fedora                                15 k
 python3-ipaserver                                    noarch                      4.8.10-2.fc33                            updates-testing                      1.2 M
 python3-kdcproxy                                     noarch                      0.4.2-6.fc33                             fedora                                37 k
 python3-lib389                                       noarch                      1.4.4.4-1.fc33.2                         updates-testing                      827 k
 python3-mod_wsgi                                     x86_64                      4.7.1-3.fc33                             fedora                               6.0 M
 python3-nss                                          x86_64                      1.0.1-20.fc33                            fedora                               265 k
 python3-pki                                          noarch                      10.9.4-3.fc33                            updates-testing                      151 k
 python3-pluggy                                       noarch                      0.13.1-2.fc33                            fedora                                38 k
 python3-py                                           noarch                      1.9.0-2.fc33                             fedora                               433 k
 python3-pytest                                       noarch                      6.0.2-1.fc33                             updates-testing                      1.5 M
 resteasy-atom-provider                               noarch                      3.0.26-5.fc33                            fedora                                53 k
 resteasy-client                                      noarch                      3.0.26-5.fc33                            fedora                               162 k
 resteasy-core                                        noarch                      3.0.26-5.fc33                            fedora                               800 k
 resteasy-jackson2-provider                           noarch                      3.0.26-5.fc33                            fedora                                28 k
 resteasy-jaxb-provider                               noarch                      3.0.26-5.fc33                            fedora                                86 k
 slapi-nis                                            x86_64                      0.56.5-3.fc33                            fedora                               143 k
 slf4j-jdk14                                          noarch                      1.7.30-6.fc33                            fedora                                17 k
 softhsm                                              x86_64                      2.6.1-3.fc33.4                           fedora                               451 k
 sscg                                                 x86_64                      2.6.2-2.fc33                             fedora                                45 k
 tomcat                                               noarch                      1:9.0.38-1.fc33                          updates-testing                       90 k
 tomcat-el-3.0-api                                    noarch                      1:9.0.38-1.fc33                          updates-testing                      106 k
 tomcat-jsp-2.3-api                                   noarch                      1:9.0.38-1.fc33                          updates-testing                       63 k
 tomcat-lib                                           noarch                      1:9.0.38-1.fc33                          updates-testing                      5.3 M
 tomcatjss                                            noarch                      7.5.0-1.fc33                             fedora                                41 k
 velocity                                             noarch                      1.7-32.fc33                              fedora                               424 k
Installing weak dependencies:
 tomcat-native                                        x86_64                      1.2.23-3.fc33                            fedora                                81 k
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 cldr-emoji-annotation                                noarch                      1:38~beta-2.fc33                         updates-testing                      5.7 M
 net-snmp-libs                                        x86_64                      1:5.9-2.fc33                             updates-testing                      747 k
 procps-ng                                            x86_64                      3.3.16-1.fc33                            updates-testing                      329 k
 spirv-llvm-translator                                x86_64                      11.0.0-0.1.fc33                          updates-testing                      666 k
Skipping packages with broken dependencies:
 cldr-emoji-annotation-dtd                            noarch                      1:38~beta-2.fc33                         updates-testing                       31 k

Transaction Summary
======================================================================================================================================================================
Install  74 Packages
Upgrade   1 Package
Skip      5 Packages

Total download size: 39 M
Is this ok [y/N]: 


In other words:
On machine registered as FreeIPA client with client packages installed, upgrading freeipa-selinux brings in freeipa server components (389, httpd, jboss etc.)


Version-Release number of selected component (if applicable):
 Fedora 33

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Alexander Bokovoy 2020-09-27 15:15:30 UTC
Thanks for the report.

It was supposed to be a dependency in freeipa-common to depend on freeipa-selinux of the same version but I mixed things up when unifying upstream/Fedora/RHEL specs and added a wrong dependency in a wrong place.

Fixed now.

Comment 3 Fedora Update System 2020-09-27 15:22:54 UTC
FEDORA-2020-6f072665c6 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6f072665c6

Comment 4 Fedora Update System 2020-09-27 15:23:33 UTC
FEDORA-2020-e9e815177e has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e9e815177e

Comment 5 Fedora Update System 2020-09-27 15:23:35 UTC
FEDORA-2020-e9e815177e has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e9e815177e

Comment 6 Fedora Update System 2020-09-27 15:24:03 UTC
FEDORA-2020-d4ef7aad19 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Alexander Bokovoy 2020-09-27 15:25:04 UTC
Sorry, Rawhide automated errata broke the status :)

Comment 8 Alexander Bokovoy 2020-09-27 16:31:37 UTC
I tested in a F34 container with rawhide packages:

[root@cc4aab8797b3 ~]# dnf install freeipa-selinux
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
Last metadata expiration check: 0:00:13 ago on Sun Sep 27 16:28:48 2020.
Dependencies resolved.
==============================================================================================================================================================================================================================================================
 Package                                                             Architecture                                  Version                                                                 Repository                                                    Size
==============================================================================================================================================================================================================================================================
Installing:
 freeipa-selinux                                                     noarch                                        4.8.10-3.fc34                                                           rawhide-local-freeipa                                         30 k
Installing dependencies:
 checkpolicy                                                         x86_64                                        3.1-3.fc33                                                              rawhide                                                      336 k
 policycoreutils-python-utils                                        noarch                                        3.1-4.fc33                                                              rawhide                                                       73 k
 python3-audit                                                       x86_64                                        3.0-0.21.20191104git1c2f876.fc33                                        rawhide                                                       86 k
 python3-libselinux                                                  x86_64                                        3.1-3.fc34                                                              rawhide                                                      184 k
 python3-libsemanage                                                 x86_64                                        3.1-2.fc33                                                              rawhide                                                       83 k
 python3-policycoreutils                                             noarch                                        3.1-4.fc33                                                              rawhide                                                      2.0 M
 python3-setools                                                     x86_64                                        4.3.0-5.fc33                                                            rawhide                                                      518 k
 rpm-plugin-selinux                                                  x86_64                                        4.16.0-0.rc1.1.fc34                                                     rawhide                                                       22 k
 selinux-policy                                                      noarch                                        3.14.7-3.fc34                                                           rawhide                                                       87 k
 selinux-policy-targeted                                             noarch                                        3.14.7-3.fc34                                                           rawhide                                                      8.0 M

Transaction Summary
==============================================================================================================================================================================================================================================================
Install  11 Packages

Total size: 11 M
Total download size: 11 M
Installed size: 41 M
Is this ok [y/N]: n
Operation aborted.

Installing freeipa-client (in container) also doesn't pull freeipa-selinux and server components. This is as expected because freeipa-common only pulls freeipa-selinux in environments where selinux is supported. freeipa-selinux package itself is explicitly requiring selinux-policy and no freeipa-server anymore.

Comment 9 Fedora Update System 2020-09-28 01:01:31 UTC
FEDORA-2020-e9e815177e has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-e9e815177e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e9e815177e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-09-28 01:15:07 UTC
FEDORA-2020-6f072665c6 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-6f072665c6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6f072665c6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-09-28 12:56:01 UTC
FEDORA-2020-e9e815177e has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e9e815177e

Comment 12 Fedora Update System 2020-09-28 12:56:35 UTC
FEDORA-2020-6f072665c6 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6f072665c6

Comment 13 Fedora Update System 2020-09-29 01:16:23 UTC
FEDORA-2020-6f072665c6 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-6f072665c6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6f072665c6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-09-29 01:16:29 UTC
FEDORA-2020-e9e815177e has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-e9e815177e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e9e815177e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2020-09-29 11:15:51 UTC
FEDORA-2020-e9e815177e has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e9e815177e

Comment 16 Fedora Update System 2020-09-29 11:16:20 UTC
FEDORA-2020-6f072665c6 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6f072665c6

Comment 17 Fedora Update System 2020-09-29 15:10:33 UTC
FEDORA-2020-e73c9fca9e has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2020-09-30 01:09:57 UTC
FEDORA-2020-e9e815177e has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-e9e815177e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e9e815177e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2020-09-30 01:21:39 UTC
FEDORA-2020-6f072665c6 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-6f072665c6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6f072665c6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2020-10-07 20:36:13 UTC
FEDORA-2020-6f072665c6 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 21 Fedora Update System 2020-10-09 23:56:14 UTC
FEDORA-2020-e9e815177e has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 22 Adam Williamson 2020-11-19 18:44:06 UTC
Latest Rawhide build did this again:

[root@adam tmp]# dnf repoquery --requires freeipa-selinux
Last metadata expiration check: 0:00:06 ago on Thu 19 Nov 2020 10:43:18 AM.
/bin/sh
freeipa-server = 4.9.0-0.rc1.fc34

Comment 24 Alexander Bokovoy 2020-11-19 19:01:02 UTC
I submitted 4.9.0-0.1.rc1 that should address this.

https://koji.fedoraproject.org/koji/taskinfo?taskID=55896678

Comment 25 Adam Williamson 2020-11-19 19:26:52 UTC
I confirmed that by eyeball, let's just close it.


Note You need to log in before you can comment on or make changes to this bug.